Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230751 - Support 2.6.0 version of Open Pegasus
Summary: Support 2.6.0 version of Open Pegasus
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tog-pegasus
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 17:27 UTC by Mark Hamzy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 18:15:22 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2007-03-02 17:27:29 UTC
Description of problem:
Open Pegasus released version 2.6.0 on January 17th.
I have taken the current version of tog-pegasus and upgraded it to use the 2.6.0
tarball.  The following source RPM is the result:
http://sblim.sourceforge.net/fedora-rpms/tog-pegasus-2.6.0-1.src.rpm

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Vitezslav Crhonek 2007-03-06 11:47:25 UTC
Thank you. I tried to compile it, but there is some problem in
RedHat.OpenPegasus.Makefile. This is the error:

make -C /home/vcrhonek/rpm/BUILD/pegasus/src/Pegasus/ProviderManagerService
make[1]: Entering directory
`/home/vcrhonek/rpm/BUILD/pegasus/src/Pegasus/ProviderManagerService'
make[1]: *** No rule to make target
`/home/vcrhonek/rpm/BUILD/pegasus/build/lib/libpegprovidermanager.so.1', needed
by `/home/vcrhonek/rpm/BUILD/pegasus/build/lib/libpegpmservice.so.1'.  Stop.
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory
`/home/vcrhonek/rpm/BUILD/pegasus/src/Pegasus/ProviderManagerService'
make: *** [/home/vcrhonek/rpm/BUILD/pegasus/build/lib/libpegpmservice.so.1] Error 2

I'll still look at it.

Comment 2 Mark Hamzy 2007-03-08 22:29:51 UTC
Hi.  Have you made any progress?

libpegprovidermanager.so.1 is on line 206

I build it on my machine with:
   rpmbuild -ba SPECS/tog-pegasus.spec

Do you think it has something to do with SMP making?

Comment 3 Vitezslav Crhonek 2007-03-09 14:54:58 UTC
Hi, yes -- without _smp_flag I build it on my machine.

Comment 4 Konrad Rzeszutek 2007-03-12 23:21:56 UTC
Weren't there some patches in the RHEL4 SRPM to take advantage of the smp flag?

Comment 5 Mark Hamzy 2007-03-13 15:16:05 UTC
Yeah, they added the ability to use that flag.
I guess the next step is to figure out what dependancies are missing from 
Redhat's makefile so that the parallel make can work.

Comment 6 Vitezslav Crhonek 2007-03-28 18:15:22 UTC
Fixed in rawhide tog-pegasus-2.6.0-2.


Note You need to log in before you can comment on or make changes to this bug.